Bug 52406 - New port: audio/portaudio
Summary: New port: audio/portaudio
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-18 20:40 UTC by Michael Nottebrock
Modified: 2003-06-03 20:03 UTC (History)
0 users

See Also:


Attachments
portaudio.shar (3.28 KB, text/plain)
2003-05-18 20:40 UTC, Michael Nottebrock
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Nottebrock 2003-05-18 20:40:11 UTC
	PortAudio is a free, cross platform, open-source, audio I/O library.
Comment 1 Michael Nottebrock 2003-05-18 21:05:16 UTC
Small change: More reasonable mode for the headerfile. New shar below.



# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	portaudio
#	portaudio/pkg-descr
#	portaudio/distinfo
#	portaudio/Makefile
#	portaudio/pkg-plist
#	portaudio/files
#	portaudio/files/patch-Makefile.linux
#	portaudio/files/patch-pa_unix_oss::pa_unix_oss.c
#
echo c - portaudio
mkdir -p portaudio > /dev/null 2>&1
echo x - portaudio/pkg-descr
sed 's/^X//' >portaudio/pkg-descr << 'END-of-portaudio/pkg-descr'
XPortAudio is a free, cross platform, open-source, audio I/O library.
XIt lets you write simple audio programs in 'C' that will compile
Xand run on many platforms including Windows, Macintosh (8,9,X),
XUnix (OSS), SGI, and BeOS. PortAudio is intended to promote the
Xexchange of audio synthesis software between developers on different
Xplatforms, and was recently selected as the audio component of a
Xlarger PortMusic project that includes MIDI and sound file support.
X
XWWW: http://www.portaudio.com
X
Xmichaelnottebrock@gmx.net
END-of-portaudio/pkg-descr
echo x - portaudio/distinfo
sed 's/^X//' >portaudio/distinfo << 'END-of-portaudio/distinfo'
XMD5 (portaudio_v18.zip) = 4371cbba9e0aa13d0b605c7bf31da50a
END-of-portaudio/distinfo
echo x - portaudio/Makefile
sed 's/^X//' >portaudio/Makefile << 'END-of-portaudio/Makefile'
X# New ports collection makefile for:	portaudio
X# Date created:				18 May 2003
X# Whom:					michaelnottebrock@gmx.net
X#
X# $FreeBSD$
X#
X
XPORTNAME=	portaudio
XPORTVERSION=	18
XCATEGORIES=	audio
XMASTER_SITES=	http://www.portaudio.com/archives/
XDISTNAME=	${PORTNAME}_v${PORTVERSION}
X
XMAINTAINER=	michaelnottebrock@gmx.net
XCOMMENT=	Portable cross-platform Audio API
X
XUSE_ZIP=	yes
XUSE_GMAKE=	yes
XMAKEFILE=	Makefile.linux
XINSTALLS_SHLIB=	yes
X
Xdo-install:	# none
X
Xpost-install:
X
X	${INSTALL} -c -o root -g wheel -m 444 ${WRKSRC}/pa_common/portaudio.h \
X	${PREFIX}/include/portaudio.h
X
X.include <bsd.port.mk>
END-of-portaudio/Makefile
echo x - portaudio/pkg-plist
sed 's/^X//' >portaudio/pkg-plist << 'END-of-portaudio/pkg-plist'
Xinclude/portaudio.h
Xlib/libportaudio.so
END-of-portaudio/pkg-plist
echo c - portaudio/files
mkdir -p portaudio/files > /dev/null 2>&1
echo x - portaudio/files/patch-Makefile.linux
sed 's/^X//' >portaudio/files/patch-Makefile.linux << 
'END-of-portaudio/files/patch-Makefile.linux'
X--- Makefile.linux.orig	Sun May 18 20:32:32 2003
X+++ Makefile.linux	Sun May 18 20:33:06 2003
X@@ -18,7 +18,7 @@
X 
X CDEFINES = -I../pa_common
X CFLAGS = -g
X-LIBINST = /usr/local/lib
X+LIBINST = $(PREFIX)/lib
X 
X TESTS:= $(wildcard pa_tests/pa*.c pa_tests/debug*.c)
X TESTO:= $(wildcard pa_tests/pa*.o pa_tests/debug*.o)
END-of-portaudio/files/patch-Makefile.linux
echo x - portaudio/files/patch-pa_unix_oss::pa_unix_oss.c
sed 's/^X//' >portaudio/files/patch-pa_unix_oss::pa_unix_oss.c << 
'END-of-portaudio/files/patch-pa_unix_oss::pa_unix_oss.c'
X--- pa_unix_oss/pa_unix_oss.c.orig	Sun May 18 21:19:17 2003
X+++ pa_unix_oss/pa_unix_oss.c	Sun May 18 21:19:30 2003
X@@ -95,7 +95,6 @@
X 
X #include <stdio.h>
X #include <stdlib.h>
X-#include <malloc.h>
X #include <memory.h>
X #include <math.h>
X #include <sys/ioctl.h>
END-of-portaudio/files/patch-pa_unix_oss::pa_unix_oss.c
exit
Comment 2 Will Andrews freebsd_committer 2003-06-03 04:22:55 UTC
State Changed
From-To: open->feedback

Even with your newer shar, I get this: 
===>  Applying FreeBSD patches for portaudio-18 
1 out of 1 hunks failed--saving rejects to Makefile.linux.rej 

Comment 3 Michael Nottebrock 2003-06-03 11:04:31 UTC
Hm, the newer shar is mangled for some reason. Can you fetch this one: 
http://lofi.dyndns.org/~lofi/portaudio.shar , it should work. I can send a 
new PR, too, let me know.
Comment 4 Mario Sergio Fujikawa Ferreira freebsd_committer 2003-06-03 20:03:37 UTC
State Changed
From-To: feedback->closed

Committed, thanks!